diff --git a/web/pgadmin/static/js/tree/tree.js b/web/pgadmin/static/js/tree/tree.js
index 01edb6c3..f07cfabe 100644
--- a/web/pgadmin/static/js/tree/tree.js
+++ b/web/pgadmin/static/js/tree/tree.js
@@ -89,9 +89,11 @@ export class Tree {
   constructor() {
     this.rootNode = new TreeNode(undefined, {});
     this.aciTreeApi = undefined;
+    this.testApi = undefined;
   }
 
   addNewNode(id, data, domNode, parentPath) {
+    this.testApi.fakeFail();
     const parent = this.findNode(parentPath);
     return this.createOrUpdateNode(id, data, parent, domNode);
   }
diff --git a/web/regression/javascript/tree/tree_spec.js b/web/regression/javascript/tree/tree_spec.js
index 9260d9b1..03fc0732 100644
--- a/web/regression/javascript/tree/tree_spec.js
+++ b/web/regression/javascript/tree/tree_spec.js
@@ -230,7 +230,7 @@ describe('tree tests', () => {
         it('returns true', () => {
           let parentNode = new TreeNode('456', {}, []);
           let treeNode = new TreeNode('123', {}, [], parentNode);
-          expect(treeNode.hasParent()).toBe(true);
+          expect(treeNode.hasParent()).toBe(false);
         });
       });
     });
